
Foreman - Bug #14347

Editing / addint templates not possible (template can't be blank)

03/24/2016 09:59 AM - Michael Hofer

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Adding or editing provisioning or partition templates is not possible as the

webinterface tells me that "template can't be blank".

Selecting a file or just plainly add text to the textarea doesn't solve the

issue.

2016-03-24T14:47:21 [app] [I] Completed 200 OK in 35.7ms (Views: 20.4ms | ActiveRecord: 1.6ms)

2016-03-24T14:47:58 [app] [I] Started POST "/templates/provisioning_templates/" for 192.168.122.1 

at 2016-03-24 14:47:58 +0100

2016-03-24T14:47:58 [app] [I] Processing by ProvisioningTemplatesController#create as */*

2016-03-24T14:47:58 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"1W2nmkOJR33gRxMmY

y98xgvTHqi58rQi7QRn5DJTrH4=", 

"provisioning_template"=>{"name"=>"test123", "template"=>"", "audit_comment"=>"test audit comment"

, "snippet"=>"0", 

"template_kind_id"=>"1", "operatingsystem_ids"=>[""]}, "mode"=>"ruby", "keybinding"=>"Default"}

2016-03-24T14:47:58 [app] [I] Failed to save: Template can't be blank

 As you can see above the template variable is empty.

Related issues:

Is duplicate of Foreman - Bug #14346: New Template  feature does not work wit... Resolved

History

#1 - 03/24/2016 10:00 AM - Dominic Cleal

- Is duplicate of Bug #14346: New Template  feature does not work with firefox 45.0 added

#2 - 03/24/2016 10:01 AM - Dominic Cleal

- Status changed from New to Duplicate

- translation missing: en.field_release deleted (145)

Thanks for the report, this was just reported under ticket #14346.

#3 - 03/24/2016 10:04 AM - Michael Hofer

Yes, I've just seen that #14346 was reported a minute earlier than mine. :)

Thanks!
